# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Thu Feb  2 16:08:28 2023
# ------------------------------------------------

package:
  name: jupyterlab
  version: 3.5.3
source:
  sha256: 51e889448ae194eeef8e50f63f5c4f487f728f477befe436e9749672f7511dbe
  url: https://pypi.io/packages/source/j/jupyterlab/jupyterlab-3.5.3.tar.gz
build:
  entry_points:
    - jlpm = jupyterlab.jlpmapp:main
    - jupyter-lab = jupyterlab.labapp:main
    - jupyter-labextension = jupyterlab.labextensions:main
    - jupyter-labhub = jupyterlab.labhubapp:main
  number: '0'
  script: /croot/jupyterlab_1675354114448/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placeh/bin/python
    -m pip install --install-option="--skip-npm" --no-deps . -vv
  string: py310h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py310h06a4308_0
    - deprecation 2.1.0 pyhd3eb1b0_0
    - jupyter-packaging 0.12.0 py310h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1s h7f8727e_0
    - packaging 22.0 py310h06a4308_0
    - pip 22.3.1 py310h06a4308_0
    - python 3.10.9 h7a1cb2a_0
    - readline 8.2 h5eee18b_0
    - setuptools 65.6.3 py310h06a4308_0
    - sqlite 3.40.1 h5082296_0
    - tk 8.6.12 h1ccaba5_0
    - tomlkit 0.11.1 py310h06a4308_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - ipython
    - jinja2 >=2.1
    - jupyter_core
    - jupyter_server >=1.16,<3
    - jupyterlab_server >=2.10,<3
    - nbclassic
    - notebook <7
    - packaging
    - python >=3.10,<3.11.0a0
    - tomli
    - tornado >=6.1.0
test:
  commands:
    - pip check
    - jupyter lab --version
    - jlpm --version
    - jlpm versions
    - jupyter labextension list
    - jupyter lab licenses
    - jupyter lab path
    - jupyter server extension list
    - jupyter serverextension list
    - jupyter server extension list 1>server_extensions 2>&1
    - cat server_extensions | rg "jupyterlab.*3\.5\.3.*OK"
    - jupyter serverextension list 1>serverextensions 2>&1
    - cat serverextensions | rg "jupyterlab.*3\.5\.3.*OK"
    - jupyter lab build --dev-build=False --minimize=False
    - jupyter lab clean
  imports:
    - jupyterlab
  requires:
    - nodejs >=14,!=15.*,!=17.*,<19
    - pip
    - ripgrep
app:
  entry: jupyter lab
  icon: icon.png
  summary: JupyterLab PRE-ALPHA
  type: desk
about:
  description: 'JupyterLab is the next-generation user interface for Project Jupyter.
    It offers all the familiar building blocks of the classic Jupyter Notebook (notebook,
    terminal, text editor, file browser, rich outputs, etc.) in a flexible and powerful
    user inteface. Eventually, JupyterLab will replace the classic Jupyter Notebook.
    JupyterLab can be extended using extensions that are npm packages and use our
    public APIs. You can search for the GitHub topic or npm keyword `jupyterlab-extension`
    to find extensions. To learn more about extensions, see our user documentation.
    JupyterLab is suitable for general usage. For JupyterLab extension developers,
    the extension APIs will continue to evolve.

    '
  dev_url: https://github.com/jupyterlab/jupyterlab
  doc_url: https://jupyterlab.readthedocs.io
  home: https://github.com/jupyterlab/jupyterlab
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - LICENSE
    - jupyterlab/static/third-party-licenses.json
  summary: 'An extensible environment for interactive and reproducible computing,
    based on the Jupyter Notebook and Architecture.

    '
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 6034ca3a-f789-4e0e-9085-a6bf3f226f14
  recipe-maintainers:
    - afshin
    - blink1073
    - bollwyvl
    - ellisonbg
    - ian-r-rose
    - jasongrout
    - jochym
    - jtpio
  remote_url: git@github.com:AnacondaRecipes/jupyterlab-feedstock.git
  sha: 6051a0fa832177c73a5c2db8246a5d745a1a6eb9
